<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>MavenPlugin (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="MavenPlugin (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/plugins/JavaPluginConvention.html" title="class in org.gradle.api.plugins"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/plugins/MavenPluginConvention.html" title="class in org.gradle.api.plugins"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/plugins/MavenPlugin.html" target="_top">Frames</a></li>
<li><a href="MavenPlugin.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.plugins</div>
<h2 title="Class MavenPlugin" class="title">Class MavenPlugin</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.plugins.MavenPlugin</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api">Plugin</a>&lt;org.gradle.api.internal.project.ProjectInternal&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">MavenPlugin</span>
extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api">Plugin</a>&lt;org.gradle.api.internal.project.ProjectInternal&gt;</pre>
<div class="block"><p>A <a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api"><code>Plugin</code></a> which allows project artifacts to be deployed to a Maven repository, or installed
 to the local Maven cache.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/MavenPlugin.html#COMPILE_PRIORITY">COMPILE_PRIORITY</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/MavenPlugin.html#INSTALL_TASK_NAME">INSTALL_TASK_NAME</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/MavenPlugin.html#PROVIDED_COMPILE_PRIORITY">PROVIDED_COMPILE_PRIORITY</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/MavenPlugin.html#PROVIDED_RUNTIME_PRIORITY">PROVIDED_RUNTIME_PRIORITY</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/MavenPlugin.html#RUNTIME_PRIORITY">RUNTIME_PRIORITY</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/MavenPlugin.html#TEST_COMPILE_PRIORITY">TEST_COMPILE_PRIORITY</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/MavenPlugin.html#TEST_RUNTIME_PRIORITY">TEST_RUNTIME_PRIORITY</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../org/gradle/api/plugins/MavenPlugin.html#MavenPlugin(org.gradle.internal.Factory,%20org.gradle.api.internal.file.FileResolver,%20org.gradle.api.internal.artifacts.ivyservice.projectmodule.ProjectPublicationRegistry,%20org.gradle.configuration.project.ProjectConfigurationActionContainer,%20org.gradle.api.internal.artifacts.mvnsettings.MavenSettingsProvider,%20org.gradle.api.internal.artifacts.mvnsettings.LocalMavenRepositoryLocator,%20org.gradle.api.internal.artifacts.ImmutableModuleIdentifierFactory)">MavenPlugin</a></strong>(org.gradle.internal.Factory&lt;org.gradle.internal.logging.LoggingManagerInternal&gt;&nbsp;loggingManagerFactory,
           org.gradle.api.internal.file.FileResolver&nbsp;fileResolver,
           org.gradle.api.internal.artifacts.ivyservice.projectmodule.ProjectPublicationRegistry&nbsp;publicationRegistry,
           org.gradle.configuration.project.ProjectConfigurationActionContainer&nbsp;configurationActionContainer,
           org.gradle.api.internal.artifacts.mvnsettings.MavenSettingsProvider&nbsp;mavenSettingsProvider,
           org.gradle.api.internal.artifacts.mvnsettings.LocalMavenRepositoryLocator&nbsp;mavenRepositoryLocator,
           org.gradle.api.internal.artifacts.ImmutableModuleIdentifierFactory&nbsp;moduleIdentifierFactory)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/MavenPlugin.html#apply(org.gradle.api.internal.project.ProjectInternal)">apply</a></strong>(org.gradle.api.internal.project.ProjectInternal&nbsp;project)</code>
<div class="block">Apply this plugin to the given target object.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="COMPILE_PRIORITY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COMPILE_PRIORITY</h4>
<pre>public static final&nbsp;int COMPILE_PRIORITY</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.MavenPlugin.COMPILE_PRIORITY">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="RUNTIME_PRIORITY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RUNTIME_PRIORITY</h4>
<pre>public static final&nbsp;int RUNTIME_PRIORITY</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.MavenPlugin.RUNTIME_PRIORITY">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TEST_COMPILE_PRIORITY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEST_COMPILE_PRIORITY</h4>
<pre>public static final&nbsp;int TEST_COMPILE_PRIORITY</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.MavenPlugin.TEST_COMPILE_PRIORITY">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TEST_RUNTIME_PRIORITY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEST_RUNTIME_PRIORITY</h4>
<pre>public static final&nbsp;int TEST_RUNTIME_PRIORITY</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.MavenPlugin.TEST_RUNTIME_PRIORITY">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="PROVIDED_COMPILE_PRIORITY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROVIDED_COMPILE_PRIORITY</h4>
<pre>public static final&nbsp;int PROVIDED_COMPILE_PRIORITY</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.MavenPlugin.PROVIDED_COMPILE_PRIORITY">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="PROVIDED_RUNTIME_PRIORITY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROVIDED_RUNTIME_PRIORITY</h4>
<pre>public static final&nbsp;int PROVIDED_RUNTIME_PRIORITY</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.MavenPlugin.PROVIDED_RUNTIME_PRIORITY">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="INSTALL_TASK_NAME">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>INSTALL_TASK_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> INSTALL_TASK_NAME</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.MavenPlugin.INSTALL_TASK_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MavenPlugin(org.gradle.internal.Factory, org.gradle.api.internal.file.FileResolver, org.gradle.api.internal.artifacts.ivyservice.projectmodule.ProjectPublicationRegistry, org.gradle.configuration.project.ProjectConfigurationActionContainer, org.gradle.api.internal.artifacts.mvnsettings.MavenSettingsProvider, org.gradle.api.internal.artifacts.mvnsettings.LocalMavenRepositoryLocator, org.gradle.api.internal.artifacts.ImmutableModuleIdentifierFactory)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MavenPlugin</h4>
<pre>@Inject
public&nbsp;MavenPlugin(org.gradle.internal.Factory&lt;org.gradle.internal.logging.LoggingManagerInternal&gt;&nbsp;loggingManagerFactory,
                  org.gradle.api.internal.file.FileResolver&nbsp;fileResolver,
                  org.gradle.api.internal.artifacts.ivyservice.projectmodule.ProjectPublicationRegistry&nbsp;publicationRegistry,
                  org.gradle.configuration.project.ProjectConfigurationActionContainer&nbsp;configurationActionContainer,
                  org.gradle.api.internal.artifacts.mvnsettings.MavenSettingsProvider&nbsp;mavenSettingsProvider,
                  org.gradle.api.internal.artifacts.mvnsettings.LocalMavenRepositoryLocator&nbsp;mavenRepositoryLocator,
                  org.gradle.api.internal.artifacts.ImmutableModuleIdentifierFactory&nbsp;moduleIdentifierFactory)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="apply(org.gradle.api.internal.project.ProjectInternal)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>apply</h4>
<pre>public&nbsp;void&nbsp;apply(org.gradle.api.internal.project.ProjectInternal&nbsp;project)</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../org/gradle/api/Plugin.html#apply(T)">Plugin</a></code></strong></div>
<div class="block">Apply this plugin to the given target object.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/Plugin.html#apply(T)">apply</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api">Plugin</a>&lt;org.gradle.api.internal.project.ProjectInternal&gt;</code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>project</code> - The target object</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/plugins/JavaPluginConvention.html" title="class in org.gradle.api.plugins"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/plugins/MavenPluginConvention.html" title="class in org.gradle.api.plugins"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/plugins/MavenPlugin.html" target="_top">Frames</a></li>
<li><a href="MavenPlugin.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
